My Project: dgAABBPolygonSoup Class Reference

My Project

Classes | Public Member Functions | Protected Member Functions | List of all members
dgAABBPolygonSoup Class Reference

`#include <dgAABBPolygonSoup.h>`

Inheritance diagram for dgAABBPolygonSoup:

## Classes

class | dgNode
class | dgNodeBuilder
class | dgSpliteInfo

## Public Member Functions

virtual void | GetAABB (dgVector &p0, dgVector &p1) const
virtual void | Serialize (dgSerialize callback, void *const userData) const
virtual void | Deserialize (dgDeserialize callback, void *const userData)
Public Member Functions inherited from dgPolygonSoupDatabase
dgFloat32 | GetRadius () const
dgInt32 | GetVertexCount () const
dgInt32 | GetStrideInBytes () const
dgFloat32 * | GetLocalVertexPool () const
dgUnsigned32 | GetTagId (const dgInt32 *const face, dgInt32 indexCount) const
void | SetTagId (const dgInt32 *const face, dgInt32 indexCount, dgUnsigned32 newID) const

## Protected Member Functions

| dgAABBPolygonSoup ()
virtual | ~dgAABBPolygonSoup ()
void | Create (const dgPolygonSoupDatabaseBuilder &builder, bool optimizedBuild)
void | CalculateAdjacendy ()
virtual void | ForAllSectorsRayHit (const dgFastRayTest &ray, dgFloat32 maxT, dgRayIntersectCallback callback, void *const context) const
virtual void | ForAllSectors (const dgFastAABBInfo &obbAabb, const dgVector &boxDistanceTravel, dgFloat32 m_maxT, dgAABBIntersectCallback callback, void *const context) const
DG_INLINE void * | GetRootNode () const
DG_INLINE void * | GetBackNode (const void *const root) const
DG_INLINE void * | GetFrontNode (const void *const root) const
DG_INLINE void | GetNodeAABB (const void *const root, dgVector &p0, dgVector &p1) const
virtual dgVector | ForAllSectorsSupportVectex (const dgVector &dir) const
Protected Member Functions inherited from dgPolygonSoupDatabase
| dgPolygonSoupDatabase (const char *const name=NULL)
virtual | ~dgPolygonSoupDatabase ()

## Additional Inherited Members

Protected Attributes inherited from dgPolygonSoupDatabase
dgInt32 | m_vertexCount
dgInt32 | m_strideInBytes
dgFloat32 * | m_localVertex

## Constructor & Destructor Documentation

## § dgAABBPolygonSoup()

dgAABBPolygonSoup::dgAABBPolygonSoup | ( |  | ) |

protected

## § ~dgAABBPolygonSoup()

dgAABBPolygonSoup::~dgAABBPolygonSoup | ( |  | ) |

protectedvirtual

## Member Function Documentation

## § CalculateAdjacendy()

void dgAABBPolygonSoup::CalculateAdjacendy | ( |  | ) |

protected

## § Create()

void dgAABBPolygonSoup::Create | ( | const dgPolygonSoupDatabaseBuilder & | builder,
|  | bool | optimizedBuild
| ) |  |

protected

## § Deserialize()

void dgAABBPolygonSoup::Deserialize | ( | dgDeserialize | callback,
|  | void *const | userData
| ) |  |

virtual

Implements dgPolygonSoupDatabase.

## § ForAllSectors()

void dgAABBPolygonSoup::ForAllSectors | ( | const dgFastAABBInfo & | obbAabb,
|  | const dgVector & | boxDistanceTravel,
|  | dgFloat32 | m_maxT,
|  | dgAABBIntersectCallback | callback,
|  | void *const | context
| ) |  | const

protectedvirtual

## § ForAllSectorsRayHit()

void dgAABBPolygonSoup::ForAllSectorsRayHit | ( | const dgFastRayTest & | ray,
|  | dgFloat32 | maxT,
|  | dgRayIntersectCallback | callback,
|  | void *const | context
| ) |  | const

protectedvirtual

## § ForAllSectorsSupportVectex()

dgVector dgAABBPolygonSoup::ForAllSectorsSupportVectex | ( | const dgVector & | dir | ) | const

protectedvirtual

## § GetAABB()

void dgAABBPolygonSoup::GetAABB | ( | dgVector & | p0,
|  | dgVector & | p1
| ) |  | const

virtual

## § GetBackNode()

DG_INLINE void* dgAABBPolygonSoup::GetBackNode | ( | const void *const | root | ) | const

inlineprotected

## § GetFrontNode()

DG_INLINE void* dgAABBPolygonSoup::GetFrontNode | ( | const void *const | root | ) | const

inlineprotected

## § GetNodeAABB()

DG_INLINE void dgAABBPolygonSoup::GetNodeAABB | ( | const void *const | root,
|  | dgVector & | p0,
|  | dgVector & | p1
| ) |  | const

inlineprotected

## § GetRootNode()

DG_INLINE void* dgAABBPolygonSoup::GetRootNode | ( |  | ) | const

inlineprotected

## § Serialize()

void dgAABBPolygonSoup::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

virtual

Implements dgPolygonSoupDatabase.

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgAABBPolygonSoup.h
- dynamics.mod/NewtonDynamics/source/core/dgAABBPolygonSoup.cpp